com.google.gwt.dom.client

## Enum DataTransfer.DropEffect

- java.lang.Object
- - java.lang.Enum<DataTransfer.DropEffect>
  - - com.google.gwt.dom.client.DataTransfer.DropEffect

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataTransfer.DropEffect>

Enclosing class:
  DataTransfer

    public static enum DataTransfer.DropEffect
    extends java.lang.Enum<DataTransfer.DropEffect>

Used to specify the drop effect to use on dragenter or dragover events. For dragstart, drag, and dragleave events, the dropEffect is initialized to "none". Any value assigned to the dropEffect will be set, but the value isn't used for anything.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COPY` a copy of the source item is made at the new location.
`LINK` a link is established to the source at the new location.
`MOVE` an item is moved to a new location.
`NONE` the item may not be dropped.

### Method Summary

All Methods Static Methods Concrete Methods
`static DataTransfer.DropEffect` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataTransfer.DropEffect[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COPY

    public static final DataTransfer.DropEffect COPY

a copy of the source item is made at the new location.

#### MOVE

    public static final DataTransfer.DropEffect MOVE

an item is moved to a new location.

#### LINK

    public static final DataTransfer.DropEffect LINK

a link is established to the source at the new location.

#### NONE

    public static final DataTransfer.DropEffect NONE

the item may not be dropped.

### Method Detail

#### values

    public static DataTransfer.DropEffect[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataTransfer.DropEffect c : DataTransfer.DropEffect.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataTransfer.DropEffect valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null